: Class GrepPutFilter

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigedit.filters
Class GrepPutFilter

    java.lang.Object
      |
      +--org.w3c.tools.resources.AttributeHolder
            |
            +--org.w3c.tools.resources.Resource
                  |
                  +--org.w3c.tools.resources.FramedResource
                        |
                        +--org.w3c.tools.resources.ResourceFrame
                              |
                              +--org.w3c.tools.resources.ResourceFilter
                                    |
                                    +--org.w3c.jigedit.filters.PutFilter
                                          |
                                          +--org.w3c.jigedit.filters.GrepPutFilter

public class GrepPutFilter
extends PutFilter

Field Summary
`protected static int` | `ATTR_FORBIDSTRING_ARRAY` Attribute index - The strings to grep.
`protected static int` | `ATTR_REDIRECT` Attribute index - The url to redirect.
`protected org.w3c.jigedit.filters.GrepPutFilter.ByteArrayComp[]` | `forbiddenBytes`

Fields inherited from class org.w3c.jigedit.filters.PutFilter
`ATTR_PUTLIST`

Fields inherited from class org.w3c.tools.resources.ResourceFrame
`filterClass, frameListener, resource`

Fields inherited from class org.w3c.tools.resources.FramedResource
`ATTR_OID, attrListener, debugEvent, event_disabled, framesRef, structListener`

Fields inherited from class org.w3c.tools.resources.Resource
`ATTR_CONTEXT, ATTR_HELP_URL, ATTR_IDENTIFIER, ATTR_LAST_MODIFIED, ATTR_PARENT, ATTR_RESOURCE_FRAMES, ATTR_STORE_ENTRY, ATTR_URL`

Fields inherited from class org.w3c.tools.resources.AttributeHolder
`attributes, values`

Constructor Summary
`GrepPutFilter()`

Method Summary
`protected org.w3c.jigedit.filters.GrepPutFilter.ByteArrayComp[]` | `getForbiddenBytes()`
`protected java.lang.String[]` | `getForbiddenStrings()`
`protected java.lang.String` | `getRedirectURL()`
`ReplyInterface` | `ingoingFilter(RequestInterface req)` Search the forbidden string in the body, if found return an ACCES FORBIDDEN Reply.
`protected java.lang.String` | `searchForbiddenStrings(java.io.InputStream in)` Searh for a forbidden string in given stream.
`void` | `setValue(int idx, java.lang.Object value)` Catch assignements to the forbidden strings attribute.

Methods inherited from class org.w3c.jigedit.filters.PutFilter
`getHtmlGenerator, getPutListURL, initialize, outgoingFilter, resolvePutListResource`

Methods inherited from class org.w3c.tools.resources.ResourceFilter
`exceptionFilter, getTargetResource, ingoingFilter, lookup, outgoingFilter, outputFilter`

Methods inherited from class org.w3c.tools.resources.ResourceFrame
`addFrameEventListener, attributeChanged, checkRequest, eventDisabled, fireFrameEvent, frameModified, getFilters, getFilters, getFrameReference, getResource, getResourceReference, getSpaceEntry, getURLPath, lookupFilters, lookupFrames, perform, postFrameEvent, processEvent, registerResource, removeFrameEventListener, unregisterResource, updateDefaultChildAttributes`

Methods inherited from class org.w3c.tools.resources.FramedResource
`addAttributeChangedListener, addStructureChangedListener, collectFramesReference, delete, disableEvent, displayEvent, enableEvent, fireAttributeChangeEvent, fireStructureChangedEvent, fireStructureChangedEvent, frameAdded, frameRemoved, getClone, getFrame, getFrame, getFrameReference, getFrameReference, getFramesReference, getOid, markModified, notifyUnload, performFrames, postAttributeChangeEvent, postEvent, postStructureChangedEvent, postStructureChangedEvent, registerFrame, registerFrameIfNone, removeAttributeChangedListener, removeStructureChangedListener, setSilentValue, setSilentValue, unregisterFrame`

Methods inherited from class org.w3c.tools.resources.Resource
`acceptUnload, checkMultipleLock, collectFrames, getContext, getFrame, getFrames, getHelpURL, getHelpURL, getIdentifier, getLastModified, getParent, getServer, getSpace, getStoreEntry, getValue, getValue, isInitialized, isUnloaded, setContext, setContext, setValue, updateAttributes`

Methods inherited from class org.w3c.tools.resources.AttributeHolder
`definesAttribute, definesAttribute, getAttributes, getBoolean, getChar, getClone, getClone, getDouble, getFloat, getInt, getLong, getString, getValue, initialize, lookupAttribute, pickleValues, print, setBoolean, setChar, setDouble, setFloat, setInt, setLong, setString, setValue, unsafeGetValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### forbiddenBytes

    protected org.w3c.jigedit.filters.GrepPutFilter.ByteArrayComp[] forbiddenBytes

### ATTR_FORBIDSTRING_ARRAY

    protected static int ATTR_FORBIDSTRING_ARRAY

  Attribute index - The strings to grep.

### ATTR_REDIRECT

    protected static int ATTR_REDIRECT

  Attribute index - The url to redirect.

Constructor Detail

### GrepPutFilter

    public GrepPutFilter()

Method Detail

### getForbiddenStrings

    protected java.lang.String[] getForbiddenStrings()

### getRedirectURL

    protected java.lang.String getRedirectURL()

### getForbiddenBytes

    protected org.w3c.jigedit.filters.GrepPutFilter.ByteArrayComp[] getForbiddenBytes()

### setValue

    public void setValue(int idx,
                         java.lang.Object value)

  Catch assignements to the forbidden strings attribute.

  When a change to that attribute is detected, the cached value are updated.

  Overrides:
    setValue in class PutFilter
  Tags copied from class: PutFilter
  Parameters:
    `idx` - The attribute being updated.
    `value` - It's new value.

### searchForbiddenStrings

    protected java.lang.String searchForbiddenStrings(java.io.InputStream in)

  Searh for a forbidden string in given stream.
  Parameters:
    `in` - the InputStream
  Returns:
    The String found or null if none was found.

### ingoingFilter

    public ReplyInterface ingoingFilter(RequestInterface req)

  Search the forbidden string in the body, if found return an ACCES FORBIDDEN Reply.
  Overrides:
    ingoingFilter in class PutFilter
  Parameters:
    `request` - The request that is about to be processsed.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD